Atualizar conta a pagar
curl --request PUT \
--url https://api.tiny.com.br/public-api/v3/contas-pagar/{idContaPagar} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataVencimento": "2024-01-01",
"dataCompetencia": "2024-01",
"valor": 123,
"categoria": {
"id": 123
},
"atualizarContaRecorrente": true
}
'import requests
url = "https://api.tiny.com.br/public-api/v3/contas-pagar/{idContaPagar}"
payload = {
"dataVencimento": "2024-01-01",
"dataCompetencia": "2024-01",
"valor": 123,
"categoria": { "id": 123 },
"atualizarContaRecorrente": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dataVencimento: '2024-01-01',
dataCompetencia: '2024-01',
valor: 123,
categoria: {id: 123},
atualizarContaRecorrente: true
})
};
fetch('https://api.tiny.com.br/public-api/v3/contas-pagar/{idContaPagar}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mensagem": "Ocorreram erros de validação",
"detalhes": [
{
"campo": "codigo",
"mensagem": "O campo código é obrigatório"
}
]
}Contas a pagar
Atualizar conta a pagar
PUT
/
contas-pagar
/
{idContaPagar}
Atualizar conta a pagar
Path Parameters
Identificador da conta pagar
Body
application/json
Response
No Content
⌘I
